Quantcast

Build failed in Jenkins: tapestry-trunk-freestyle #1553

classic Classic list List threaded Threaded
50 messages Options
123
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1553

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1553/changes>

Changes:

[jochen.kemnade] TAP5-2529: fix NullPointerException when joining a list with a single

------------------------------------------
[...truncated 36 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 56.914 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2529

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1554

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1554/changes>

Changes:

[jochen.kemnade] TAP5-2523: Upgrade Moment.js to 2.11.2

------------------------------------------
[...truncated 36 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 0.692 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2523

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1555

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1555/changes>

Changes:

[jochen.kemnade] TAP5-1886: fix indexOf call

[jochen.kemnade] upgrade Gradle wrapper

------------------------------------------
[...truncated 40 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 49.137 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-1886

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1556

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1556/changes>

Changes:

[jochen.kemnade] TAP5-1837: NPE on registry startup when using

------------------------------------------
[...truncated 36 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 11.421 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-1837

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1557

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1557/changes>

Changes:

[bobharner] Added .groovy folder to .gitignore

[bobharner] Fixed TAP5-2531 (OperationTracker doesn't report path when failing to

------------------------------------------
[...truncated 42 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 5.223 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2531

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1558

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1558/changes>

Changes:

[jkemnade] TAP5-2527: Upgrade jQuery to 1.12.1

------------------------------------------
[...truncated 60 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 57.135 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2527

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1559

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1559/changes>

Changes:

[bobharner] TAP5-1707 javadoc improvements for RenderNotification mixin

------------------------------------------
[...truncated 43 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 52.756 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-1707

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1560

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1560/changes>

Changes:

[bobharner] TAP5-2033 Grid and Zone XDOC Documentations - How to set default value

------------------------------------------
[...truncated 43 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 54.535 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2033

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1561

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1561/changes>

Changes:

[jochen.kemnade] TAP5-2537: avoid an IllegalStateException when trying to get an

------------------------------------------
[...truncated 43 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 23.8 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2537

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1562

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1562/changes>

Changes:

[jochen.kemnade] TAP5-2523: Upgrade Moment.js to 2.12.0

------------------------------------------
[...truncated 36 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 55.433 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2523

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1563

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1563/changes>

Changes:

[kaosko] FIXED - TAP5-2525: Tapestry-Hibernate integration incompatible with

[kaosko] FIXED - TAP5-2499: Race condition in

------------------------------------------
[...truncated 42 lines...]
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 53.929 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2525
Updating TAP5-2499

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1564

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1564/changes>

Changes:

[kaosko] FIXED - TAP5-2027: EntityManagerObjectProvider always provides the

------------------------------------------
[...truncated 71 lines...]
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test5 XSELINUXs still allocated at reset
SCREEN: 0 objects of 168 bytes = 0 total bytes 0 private allocs
DEVICE: 4 objects of 96 bytes = 384 total bytes 0 private allocs
CLIENT: 0 objects of 152 bytes = 0 total bytes 0 private allocs
WINDOW: 0 objects of 32 bytes = 0 total bytes 0 private allocs
PIXMAP: 1 objects of 16 bytes = 16 total bytes 0 private allocs
GC: 0 objects of 56 bytes = 0 total bytes 0 private allocs
CURSOR: 0 objects of 8 bytes = 0 total bytes 0 private allocs
CURSOR_BITS: 0 objects of 8 bytes = 0 total bytes 0 private allocs
DBE_WINDOW: 0 objects of 24 bytes = 0 total bytes 0 private allocs
TOTAL: 5 objects, 400 bytes, 0 allocs
4 DEVICEs still allocated at reset
DEVICE: 4 objects of 96 bytes = 384 total bytes 0 private allocs
CLIENT: 0 objects of 152 bytes = 0 total bytes 0 private allocs
WINDOW: 0 objects of 32 bytes = 0 total bytes 0 private allocs
PIXMAP: 1 objects of 16 bytes = 16 total bytes 0 private allocs
GC: 0 objects of 56 bytes = 0 total bytes 0 private allocs
CURSOR: 0 objects of 8 bytes = 0 total bytes 0 private allocs
CURSOR_BITS: 0 objects of 8 bytes = 0 total bytes 0 private allocs
DBE_WINDOW: 0 objects of 24 bytes = 0 total bytes 0 private allocs
TOTAL: 5 objects, 400 bytes, 0 allocs
1 PIXMAPs still allocated at reset
PIXMAP: 1 objects of 16 bytes = 16 total bytes 0 private allocs
GC: 0 objects of 56 bytes = 0 total bytes 0 private allocs
CURSOR: 0 objects of 8 bytes = 0 total bytes 0 private allocs
CURSOR_BITS: 0 objects of 8 bytes = 0 total bytes 0 private allocs
DBE_WINDOW: 0 objects of 24 bytes = 0 total bytes 0 private allocs
TOTAL: 1 objects, 16 bytes, 0 allocs


org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 4.019 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2027

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1565

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1565/changes>

Changes:

[jochen.kemnade] TAP5-2524: don't replace 0% with 0 during CSS minification because that

[jochen.kemnade] upgrade Gradle wrapper

[jochen.kemnade] upgrade SLF4J

[jochen.kemnade] upgrade rhino

------------------------------------------
[...truncated 50 lines...]
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadoc
Download https://repo1.maven.org/maven2/org/mozilla/rhino/1.7.7.1/rhino-1.7.7.1.pom
Download https://repo1.maven.org/maven2/org/mozilla/rhino/1.7.7.1/rhino-1.7.7.1.jar
warning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
Download https://repo1.maven.org/maven2/org/slf4j/slf4j-log4j12/1.7.19/slf4j-log4j12-1.7.19.pom
Download https://repo1.maven.org/maven2/org/slf4j/slf4j-log4j12/1.7.19/slf4j-log4j12-1.7.19.jar
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 5.671 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2524

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1566

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1566/changes>

Changes:

[jkemnade] increment version number

------------------------------------------
[...truncated 44 lines...]
:clean
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 41.461 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1567

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1567/changes>

Changes:

[bobharner] TAP5-1962 (Grid JavaDoc - Explain how to use the PropertyOverrides

------------------------------------------
[...truncated 44 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 51.746 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-1962

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1568

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1568/changes>

Changes:

[jochen.kemnade] TAP5-2238: fix redirection if context path is not empty

------------------------------------------
[...truncated 36 lines...]
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 32 mins 41.165 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2238

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1569

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1569/changes>

Changes:

[kaosko] Update version number to 5.5.0

------------------------------------------
[...truncated 35 lines...]
:clean
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:plastic:compileGroovy UP-TO-DATE
:plastic:processResources UP-TO-DATE
:plastic:classes
:plastic:jar
:tapestry-func:compileJava
:tapestry-func:compileGroovy UP-TO-DATE
:tapestry-func:processResources UP-TO-DATE
:tapestry-func:classes
:tapestry-func:jar
:tapestry5-annotations:compileJava
:tapestry5-annotations:compileGroovy UP-TO-DATE
:tapestry5-annotations:processResources UP-TO-DATE
:tapestry5-annotations:classes
:tapestry5-annotations:jar
:commons:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/commons/src/main/java/org/apache/tapestry5/internal/services/DefaultDataTypeAnalyzer.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:commons:compileGroovy UP-TO-DATE
:commons:processResources UP-TO-DATE
:commons:classes
:commons:jar
:beanmodel:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/beanmodel/src/main/java/org/apache/tapestry5/internal/services/BeanModelSourceImpl.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:beanmodel:compileGroovy UP-TO-DATE
:beanmodel:processResources UP-TO-DATE
:beanmodel:classes
:beanmodel:jar
:tapestry-core:compileCoffeeScript
:tapestry-test-constants:compileJava
:tapestry-test-constants:compileGroovy UP-TO-DATE
:tapestry-test-constants:processResources UP-TO-DATE
:tapestry-test-constants:classes
:tapestry-test-constants:jar
:tapestry-runner:compileJavaNote: /x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-runner/src/main/java/org/apache/tapestry5/test/Jetty7Runner.java uses or overrides a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-runner:compileGroovy UP-TO-DATE
:tapestry-runner:processResources UP-TO-DATE
:tapestry-runner:classes
:tapestry-runner:jar
:tapestry-test-data:compileJava
:tapestry-test-data:compileGroovy UP-TO-DATE
:tapestry-test-data:processResources
:tapestry-test-data:classes
:tapestry-test-data:jar
:tapestry-test:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-test:compileGroovy UP-TO-DATE
:tapestry-test:processResources UP-TO-DATE
:tapestry-test:classes
:tapestry-test:jar
:tapestry-ioc:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-ioc:compileGroovy UP-TO-DATE
:tapestry-ioc:processResources
:tapestry-ioc:classes
:tapestry-ioc:jar
:tapestry-json:compileJava
:tapestry-json:compileGroovy UP-TO-DATE
:tapestry-json:processResources UP-TO-DATE
:tapestry-json:classes
:tapestry-json:jar
:tapestry-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.

:tapestry-core:compileGroovy UP-TO-DATE
:tapestry-core:preprocessCoffeeScript
:tapestry-core:compileProcessedCoffeescript
:tapestry-core:processResources
:tapestry-core:classes
:tapestry-core:jar
:tapestry-hibernate-core:compileJavaNote: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.

:tapestry-hibernate-core:compileGroovy UP-TO-DATE
:tapestry-hibernate-core:processResources UP-TO-DATE
:tapestry-hibernate-core:classes
:tapestry-hibernate-core:jar
:tapestry-javadoc:compileJava
:tapestry-javadoc:compileGroovy UP-TO-DATE
:tapestry-javadoc:processResources UP-TO-DATE
:tapestry-javadoc:classes
:tapestry-javadoc:jar
:aggregateJavadocwarning: org/jsr107/ri/annotations/InterceptorType.class(org/jsr107/ri/annotations:InterceptorType.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheKeyInvocationContext.class(org/jsr107/ri/annotations:StaticCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheKeyInvocationContext.class(org/jsr107/ri/annotations:InternalCacheKeyInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractInternalCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractInternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/InternalCacheInvocationContext.class(org/jsr107/ri/annotations:InternalCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCachePutInterceptor.class(org/jsr107/ri/annotations:AbstractCachePutInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheContextSource.class(org/jsr107/ri/annotations:CacheContextSource.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractKeyedCacheInterceptor.class(org/jsr107/ri/annotations:AbstractKeyedCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheInterceptor.class(org/jsr107/ri/annotations:AbstractCacheInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheInvocationContext.class(org/jsr107/ri/annotations:StaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheResultInterceptor.class(org/jsr107/ri/annotations:AbstractCacheResultInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveEntryInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveEntryInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheRemoveAllInterceptor.class(org/jsr107/ri/annotations:AbstractCacheRemoveAllInterceptor.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheKeyGenerator.class(org/jsr107/ri/annotations:DefaultCacheKeyGenerator.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolverFactory.class(org/jsr107/ri/annotations:DefaultCacheResolverFactory.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ComponentClassResolver.java:185: warning - @return tag has no arguments.
/x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-core/src/main/java/org/apache/tapestry5/services/ValueLabelProvider.java:31: warning - @return tag has no arguments.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$ParameterDetails.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$ParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractCacheLookupUtil$MethodKey.class(org/jsr107/ri/annotations:AbstractCacheLookupUtil$MethodKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CachePutMethodDetails.class(org/jsr107/ri/annotations:CachePutMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/StaticCacheResultInvocationContext.class(org/jsr107/ri/annotations:StaticCacheResultInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultGeneratedCacheKey.class(org/jsr107/ri/annotations:DefaultGeneratedCacheKey.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/DefaultCacheResolver.class(org/jsr107/ri/annotations:DefaultCacheResolver.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/ClassFilter.class(org/jsr107/ri/annotations:ClassFilter.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheResultMethodDetails.class(org/jsr107/ri/annotations:CacheResultMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveEntryMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveEntryMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheRemoveAllMethodDetails.class(org/jsr107/ri/annotations:CacheRemoveAllMethodDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheParameterDetails.class(org/jsr107/ri/annotations:CacheParameterDetails.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheMethodDetailsImpl.class(org/jsr107/ri/annotations:CacheMethodDetailsImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/CacheInvocationParameterImpl.class(org/jsr107/ri/annotations:CacheInvocationParameterImpl.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
warning: org/jsr107/ri/annotations/AbstractStaticCacheInvocationContext.class(org/jsr107/ri/annotations:AbstractStaticCacheInvocationContext.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.

33 warnings
:beanmodel:generateTestGrammarSource UP-TO-DATE
:beanmodel:compileTestJava UP-TO-DATE
:beanmodel:compileTestGroovy UP-TO-DATE
:beanmodel:processTestResources UP-TO-DATE
:beanmodel:testClasses UP-TO-DATE
:beanmodel:test UP-TO-DATE
:commons:compileTestJava UP-TO-DATE
:commons:compileTestGroovy UP-TO-DATE
:commons:processTestResources UP-TO-DATE
:commons:testClasses UP-TO-DATE
:commons:test UP-TO-DATE
:plastic:compileTestJava
:plastic:compileTestGroovy
:plastic:processTestResources
:plastic:testClasses
:plastic:test
100 tests executed
:tapestry-beanvalidator:compileCoffeeScript
:tapestry-beanvalidator:compileJava
:tapestry-beanvalidator:compileGroovy UP-TO-DATE
:tapestry-beanvalidator:processResources UP-TO-DATE
:tapestry-beanvalidator:classes
:tapestry-beanvalidator:compileTestJava
:tapestry-beanvalidator:compileTestGroovy UP-TO-DATE
:tapestry-beanvalidator:processTestResources
:tapestry-beanvalidator:testClasses
:tapestry-beanvalidator:test

org.apache.tapestry5.beanvalidator.integration.TapestryBeanValidationIntegrationTests.testStartup FAILED
    java.lang.RuntimeException: Could not start Selenium session: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

        Caused by:
        com.thoughtworks.selenium.SeleniumException: Failed to start new browser session: org.openqa.selenium.server.RemoteCommandException: Error while launching browser

10 tests completed, 1 failed, 9 skipped
:tapestry-beanvalidator:test FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':tapestry-beanvalidator:test'.
> There were failing tests. See the report at: file:///x1/jenkins/jenkins-slave/workspace/tapestry-trunk-freestyle/tapestry-beanvalidator/build/reports/tests/index.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 31 mins 46.186 secs
Build step 'Execute shell' marked build as failure
Recording test results
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1570

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1570/changes>

Changes:

[jkemnade] the next version will probably be 5.5.0-alpha-1

[jkemnade] require Java 1.8

[jkemnade] remove JDK 6 Travis build configuration

[jkemnade] update SLF4J, Geb, and Selenium

[jkemnade] fix import

[jkemnade] override the install step, we don't want Travis to run the assemble

------------------------------------------
Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on ubuntu3 (Ubuntu ubuntu legacy-ubuntu) in workspace <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://git-wip-us.apache.org/repos/asf/tapestry-5.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/tapestry-5.git
 > git --version # timeout=10
 > git -c core.askpass=true fetch --tags --progress https://git-wip-us.apache.org/repos/asf/tapestry-5.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision b1b4b69dab0b5bd4664fd3bb1892d2f8928af981 (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f b1b4b69dab0b5bd4664fd3bb1892d2f8928af981
 > git rev-list 68c11aff6370b880cc352b08f83cac0bad8f4913 # timeout=10
[tapestry-trunk-freestyle] $ /bin/bash -xe /tmp/hudson7850558368842920466.sh
+ Xvfb :6 -ac -screen 0 1024x768x8
[tapestry-trunk-freestyle] $ /bin/bash -xe /tmp/hudson8489031070305638935.sh
+ DISPLAY=:6.0
+ bash <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/gradlew> -Dci=true -Dfile.encoding=UTF-8 -b <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/build.gradle> clean continuousIntegration
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/2.12/userguide/gradle_daemon.html.
:buildSrc:compileJava UP-TO-DATE
:buildSrc:compileGroovy UP-TO-DATE
:buildSrc:processResources UP-TO-DATE
:buildSrc:classes UP-TO-DATE
:buildSrc:jar UP-TO-DATE
:buildSrc:assemble UP-TO-DATE
:buildSrc:compileTestJava UP-TO-DATE
:buildSrc:compileTestGroovy UP-TO-DATE
:buildSrc:processTestResources UP-TO-DATE
:buildSrc:testClasses UP-TO-DATE
:buildSrc:test UP-TO-DATE
:buildSrc:check UP-TO-DATE
:buildSrc:build UP-TO-DATE
The 'sonar' plugin has been deprecated and is scheduled to be removed in Gradle 3.0. please use the official plugin from SonarQube (http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle).
:clean
:beanmodel:clean
:commons:clean
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJava FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':plastic:compileJava'.
> invalid source release: 1.8

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 25.254 secs
Build step 'Execute shell' marked build as failure
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1571

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1571/changes>

Changes:

[jkemnade] remove gradle.properties file. It was time to change those passwords

[jkemnade] add direct dependency on commons-lang 3

[jkemnade] fix compile error

------------------------------------------
Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on ubuntu3 (Ubuntu ubuntu legacy-ubuntu) in workspace <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://git-wip-us.apache.org/repos/asf/tapestry-5.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/tapestry-5.git
 > git --version # timeout=10
 > git -c core.askpass=true fetch --tags --progress https://git-wip-us.apache.org/repos/asf/tapestry-5.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 8e79870085e2bf63d614d92d35b60aacdf90d26f (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 8e79870085e2bf63d614d92d35b60aacdf90d26f
 > git rev-list b1b4b69dab0b5bd4664fd3bb1892d2f8928af981 # timeout=10
[tapestry-trunk-freestyle] $ /bin/bash -xe /tmp/hudson6971752821257562051.sh
+ Xvfb :6 -ac -screen 0 1024x768x8
[dix] Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
[dix] Could not init font path element /usr/share/fonts/X11/100dpi/:unscaled, removing from list!
[dix] Could not init font path element /usr/share/fonts/X11/75dpi/:unscaled, removing from list!
[tapestry-trunk-freestyle] $ /bin/bash -xe /tmp/hudson236054315478349754.sh
+ DISPLAY=:6.0
+ bash <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/gradlew> -Dci=true -Dfile.encoding=UTF-8 -b <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/build.gradle> clean continuousIntegration
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/2.12/userguide/gradle_daemon.html.
:buildSrc:compileJava UP-TO-DATE
:buildSrc:compileGroovy UP-TO-DATE
:buildSrc:processResources UP-TO-DATE
:buildSrc:classes UP-TO-DATE
:buildSrc:jar UP-TO-DATE
:buildSrc:assemble UP-TO-DATE
:buildSrc:compileTestJava UP-TO-DATE
:buildSrc:compileTestGroovy UP-TO-DATE
:buildSrc:processTestResources UP-TO-DATE
:buildSrc:testClasses UP-TO-DATE
:buildSrc:test UP-TO-DATE
:buildSrc:check UP-TO-DATE
:buildSrc:build UP-TO-DATE
The 'sonar' plugin has been deprecated and is scheduled to be removed in Gradle 3.0. please use the official plugin from SonarQube (http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle).
:clean UP-TO-DATE
:beanmodel:clean
:commons:clean UP-TO-DATE
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJava FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':plastic:compileJava'.
> invalid source release: 1.8

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 17.71 secs
Build step 'Execute shell' marked build as failure
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Build failed in Jenkins: tapestry-trunk-freestyle #1572

Apache Jenkins Server-2
See <https://builds.apache.org/job/tapestry-trunk-freestyle/1572/changes>

Changes:

[jkemnade] fix Geb/Spock/Groovy version incompatibility

[jkemnade] TAP5-2327: upgrade to servlet-api 3.0.1

------------------------------------------
Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on ubuntu3 (Ubuntu ubuntu legacy-ubuntu) in workspace <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/>
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://git-wip-us.apache.org/repos/asf/tapestry-5.git # timeout=10
Fetching upstream changes from https://git-wip-us.apache.org/repos/asf/tapestry-5.git
 > git --version # timeout=10
 > git -c core.askpass=true fetch --tags --progress https://git-wip-us.apache.org/repos/asf/tapestry-5.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 62f33e3dc8b93176b285eb6350ad239c15ef6ace (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 62f33e3dc8b93176b285eb6350ad239c15ef6ace
 > git rev-list 8e79870085e2bf63d614d92d35b60aacdf90d26f # timeout=10
[tapestry-trunk-freestyle] $ /bin/bash -xe /tmp/hudson1396083347915542862.sh
+ Xvfb :6 -ac -screen 0 1024x768x8
[tapestry-trunk-freestyle] $ /bin/bash -xe /tmp/hudson6871122983093147690.sh
+ DISPLAY=:6.0
+ bash <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/gradlew> -Dci=true -Dfile.encoding=UTF-8 -b <https://builds.apache.org/job/tapestry-trunk-freestyle/ws/build.gradle> clean continuousIntegration
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/2.12/userguide/gradle_daemon.html.
:buildSrc:compileJava UP-TO-DATE
:buildSrc:compileGroovy UP-TO-DATE
:buildSrc:processResources UP-TO-DATE
:buildSrc:classes UP-TO-DATE
:buildSrc:jar UP-TO-DATE
:buildSrc:assemble UP-TO-DATE
:buildSrc:compileTestJava UP-TO-DATE
:buildSrc:compileTestGroovy UP-TO-DATE
:buildSrc:processTestResources UP-TO-DATE
:buildSrc:testClasses UP-TO-DATE
:buildSrc:test UP-TO-DATE
:buildSrc:check UP-TO-DATE
:buildSrc:build UP-TO-DATE
The 'sonar' plugin has been deprecated and is scheduled to be removed in Gradle 3.0. please use the official plugin from SonarQube (http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle).
:clean UP-TO-DATE
:beanmodel:clean
:commons:clean UP-TO-DATE
:plastic:clean
:quickstart:clean
:tapestry-beanvalidator:clean
:tapestry-clojure:clean
:tapestry-core:clean
:tapestry-func:clean
:tapestry-hibernate:clean
:tapestry-hibernate-core:clean
:tapestry-internal-test:clean
:tapestry-ioc:clean
:tapestry-ioc-jcache:clean
:tapestry-ioc-junit:clean
:tapestry-javadoc:clean
:tapestry-jmx:clean
:tapestry-jpa:clean
:tapestry-json:clean
:tapestry-kaptcha:clean
:tapestry-mongodb:clean
:tapestry-runner:clean
:tapestry-spring:clean
:tapestry-test:clean
:tapestry-test-constants:clean
:tapestry-test-data:clean
:tapestry-upload:clean
:tapestry-webresources:clean
:tapestry5-annotations:clean
:beanmodel:generateGrammarSource
:plastic:compileJava FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':plastic:compileJava'.
> invalid source release: 1.8

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 21.616 secs
Build step 'Execute shell' marked build as failure
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
TestNG Reports Processing: START
Looking for TestNG results report in workspace using pattern: **/build/reports/tests/testng-results.xml
Did not find any matching files.
Updating TAP5-2327

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

123
Loading...